Bug 1021337 - Ubuntu guest sometimes fail to S4
Ubuntu guest sometimes fail to S4
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks: 912287
  Show dependency treegraph
 
Reported: 2013-10-21 02:36 EDT by Xiaoqing Wei
Modified: 2013-12-05 05:39 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 14:16:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoqing Wei 2013-10-21 02:36:11 EDT
Description of problem:
Ubuntu guest sometimes fail to S4

Version-Release number of selected component (if applicable):
kernel-2.6.32-422.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.412.el6.x86_64
vgabios-0.6b-3.7.el6.noarch
seabios-0.6.1.2-28.el6.x86_64
ubuntu 12.04 - server


How reproducible:

2 /10

Steps to Reproduce:
1./root/staf-kvm-devel/autotest-devel/client/tests/virt/qemu/qemu -monitor stdio \
    -S \
    -name 'virt-tests-vm1' \
    -nodefaults \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20131018-012515-LK8f8RtO,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control \
    -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20131018-012515-LK8f8RtO,server,nowait \
    -device isa-serial,chardev=serial_id_serial1 \
    -chardev socket,id=seabioslog_id_20131018-012515-LK8f8RtO,path=/tmp/seabios-20131018-012515-LK8f8RtO,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20131018-012515-LK8f8RtO,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/ubuntu-12.04-server-64.qcow2',index=0,if=none,id=drive-ide0-0-0,media=disk,cache=none,snapshot=off,format=qcow2,aio=native \
    -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0 \
    -device e1000,netdev=idOaE0A8,mac='9a:f6:f7:f8:f9:fa',bus=pci.0,addr=0x3,id='idu6YVwB' \
    -netdev tap,id=idOaE0A8,vhost=on \
    -m 1024 \
    -smp 2,maxcpus=2,cores=1,threads=1,sockets=2 \
    -cpu 'SandyBridge' \
    -M rhel6.5.0 \
    -device AC97,addr=0x5 \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
    -vnc :0 \
    -vga cirrus \
    -rtc base=utc,clock=host,driftfix=slew  \
    -boot order=cdn,once=c,menu=off   \
    -global PIIX4_PM.disable_s4=0 \
    -no-kvm-pit-reinjection \
    -device virtio-balloon-pci \
    -enable-kvm

2. ubuntu# echo disk > /sys/power/state
3.

Actual results:
guest just wont output anything, neither screen nor console, at least for 10 mins

Expected results:
guset s4 success

Additional info:


host info:
processor       : 7
vendor_id       : GenuineIntel
cpu family      : 6
model           : 42
model name      : Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz
stepping        : 7
cpu MHz         : 1600.000
cache size      : 8192 KB
physical id     : 0
siblings        : 8
core id         : 3
cpu cores       : 4
apicid          : 7
initial apicid  : 7
fpu             : yes
fpu_exception   : yes
cpuid level     : 13
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dts tpr_shadow vnmi flexpriority ept vpid
bogomips        : 6784.20
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

[root@localhost virt]# free -m
             total       used       free     shared    buffers     cached
Mem:          7750       1347       6402          0        141        232
-/+ buffers/cache:        973       6776
Swap:        57343         50      57293
Comment 3 RHEL Product and Program Management 2013-10-28 14:16:03 EDT
Product Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.